diff -r 20017c4feae6 src/odepkg_auxiliary_functions.cc
--- a/src/odepkg_auxiliary_functions.cc	Mon Jan 02 19:24:34 2017 -0500
+++ b/src/odepkg_auxiliary_functions.cc	Sat Dec 29 18:52:54 2018 +0100
@@ -129,18 +129,18 @@
    octave_value vy, octave_value_list vextarg, octave_idx_type vdeci) {
 
   ColumnVector vresult  (vy.vector_value ());
-  ColumnVector vreduced (vy.length ());
+  ColumnVector vreduced (vy.numel ());
 
   // Check if the user has set the option "OutputSel" then create a
   // reduced vector that stores the desired values.
-  if (vsel.is_empty ()) {
+  if (vsel.isempty ()) {
     for (octave_idx_type vcnt = 0; vcnt < vresult.numel (); vcnt++)
       vreduced(vcnt) = vresult(vcnt);
   }
   else {
-    vreduced.resize (vsel.length ());
+    vreduced.resize (vsel.numel ());
     ColumnVector vselect (vsel.vector_value ());
-    for (octave_idx_type vcnt = 0; vcnt < vsel.length (); vcnt++)
+    for (octave_idx_type vcnt = 0; vcnt < vsel.numel (); vcnt++)
       vreduced(vcnt) = vresult(static_cast<int> (vselect(vcnt)-1));
   }
 
@@ -153,25 +153,25 @@
   else if (vdeci == 1) varin(2) = "";
   else if (vdeci == 2) varin(2) = "done";
 
-  for (octave_idx_type vcnt = 0; vcnt < vextarg.length (); vcnt++)
+  for (octave_idx_type vcnt = 0; vcnt < vextarg.numel (); vcnt++)
     varin(vcnt+3) = vextarg(vcnt);
 
   // Evaluate the output function and return the value of the output
   // function to the caller function
   if ((vdeci == 0) || (vdeci == 2)) {
     if (vplt.is_function_handle () || vplt.is_inline_function ())
-      feval (vplt.function_value (), varin, 0);
+      octave::feval (vplt.function_value (), varin, 0);
     else if (vplt.is_string ()) // String may be used from the caller
-      feval (vplt.string_value (), varin, 0);
+      octave::feval (vplt.string_value (), varin, 0);
     return (true);
   }
 
   else if (vdeci == 1) {
     octave_value_list vout;
     if (vplt.is_function_handle () || vplt.is_inline_function ())
-      vout = feval (vplt.function_value (), varin, 1);
+      vout = octave::feval (vplt.function_value (), varin, 1);
     else if (vplt.is_string ()) // String may be used if set automatically
-      vout = feval (vplt.string_value (), varin, 1);
+      vout = octave::feval (vplt.string_value (), varin, 1);
     return (vout(0).bool_value ());
   }
 
@@ -201,7 +201,7 @@
 
   // If vjac is a cell array then we expect that two matrices are
   // returned to the caller function, we can't check for this before
-  if (vjac.is_cell () && (vjac.length () == 2)) {
+  if (vjac.iscell () && (vjac.numel () == 2)) {
     varout(0) = vjac.cell_value ()(0);
     varout(1) = vjac.cell_value ()(1);
     if (!varout(0).is_matrix_type () || !varout(1).is_matrix_type ()) {
@@ -218,10 +218,10 @@
     varin(1) = vy;  // varin(1).print_with_name (octave_stdout, "vy", true);
     varin(2) = vdy; // varin(2).print_with_name (octave_stdout, "vdy", true);
     // Fill up RHS arguments with extra arguments that are given
-    for (octave_idx_type vcnt = 0; vcnt < vextarg.length (); vcnt++)
+    for (octave_idx_type vcnt = 0; vcnt < vextarg.numel (); vcnt++)
       varin(vcnt+3) = vextarg(vcnt);
     // Evaluate the Jacobian function and return results
-    varout = feval (vjac.function_value (), varin, 1);
+    varout = octave::feval (vjac.function_value (), varin, 1);
   }
 
   // In principle this is not possible because odepkg_structure_check
@@ -266,10 +266,10 @@
     varin(0) = vt;
     varin(1) = vy;
     // Fill up RHS arguments with extra arguments that are given
-    for (octave_idx_type vcnt = 0; vcnt < vextarg.length (); vcnt++)
+    for (octave_idx_type vcnt = 0; vcnt < vextarg.numel (); vcnt++)
       varin(vcnt+2) = vextarg(vcnt);
     // Evaluate the Jacobian function and return results
-    varout = feval (vjac.function_value (), varin, 1);
+    varout = octave::feval (vjac.function_value (), varin, 1);
     vret = varout(0);
   }
 
@@ -313,25 +313,25 @@
   else if (vmass.is_function_handle () || vmass.is_inline_function ()) {
     octave_value_list varin;
     octave_value_list varout;
-    if (vstate.is_empty () || !vstate.is_string ())
+    if (vstate.isempty () || !vstate.is_string ())
       error_with_id ("OdePkg:InvalidOption",
         "If \"Mass\" value is a handle then \"MStateDependence\" must be given");
  
     else if (vstate.string_value ().compare ("none") == 0) {
       varin(0) = vt;
-      for (octave_idx_type vcnt = 0; vcnt < vextarg.length (); vcnt++)
+      for (octave_idx_type vcnt = 0; vcnt < vextarg.numel (); vcnt++)
         varin(vcnt+1) = vextarg(vcnt);
     }
 
     else { // If "MStateDependence" is "weak" or "strong"
       varin(0) = vt; varin(1) = vy;
       // Fill up RHS arguments with extra arguments that are given
-      for (octave_idx_type vcnt = 0; vcnt < vextarg.length (); vcnt++)
+      for (octave_idx_type vcnt = 0; vcnt < vextarg.numel (); vcnt++)
         varin(vcnt+2) = vextarg(vcnt);
     }
 
     // Evaluate the Mass function and return results
-    varout = feval (vmass.function_value (), varin, 1);
+    varout = octave::feval (vmass.function_value (), varin, 1);
     vret = varout(0);
   }
 
@@ -368,13 +368,13 @@
 
   octave_scalar_map vretval;
 
-  if (vstats.length () < 5)
+  if (vstats.numel () < 5)
     error_with_id ("OdePkg:InvalidArgument",
       "C++ function odepkg_auxiliary_makestats error");
   else {
     vretval.assign ("nsteps",   vstats(0));
     vretval.assign ("nfailed",  vstats(1));
-    vretval.assign ("nfevals",  vstats(2));
+    vretval.assign ("noctave::fevals",  vstats(2));
     vretval.assign ("npds",     vstats(3));
     vretval.assign ("ndecomps", vstats(4));
     vretval.assign ("nlinsols", vstats(5));
@@ -411,7 +411,7 @@
   // in vsel if vdeci == (0 || 1).
   RowVector vrow;
   if (vdeci != 2) {
-    vrow.resize (vy.length ());
+    vrow.resize (vy.numel ());
     vrow = RowVector (vy.vector_value ());
   }
 
